#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CreateVideoSeriesResponse {
    #[serde(rename = "seriesMetadataRid")]
    series_metadata_rid: conjure_object::ResourceIdentifier,
    #[serde(rename = "seriesUuid")]
    series_uuid: conjure_object::Uuid,
}
impl CreateVideoSeriesResponse {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        series_metadata_rid: conjure_object::ResourceIdentifier,
        series_uuid: conjure_object::Uuid,
    ) -> Self {
        Self::builder()
            .series_metadata_rid(series_metadata_rid)
            .series_uuid(series_uuid)
            .build()
    }
    #[inline]
    pub fn series_metadata_rid(&self) -> &conjure_object::ResourceIdentifier {
        &self.series_metadata_rid
    }
    #[inline]
    pub fn series_uuid(&self) -> conjure_object::Uuid {
        self.series_uuid
    }
}
